> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developers.brevo.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developers.brevo.com/_mcp/server.

# Create a tier group

POST https://api.brevo.com/v3/loyalty/tier/programs/{pid}/tier-groups
Content-Type: application/json

Creates a new tier group in a loyalty program. *(The changes will take effect with the next publication of the loyalty program)*

Reference: https://developers.brevo.com/reference/create-tier-group

## Authentication

- `api-key` header (required) — The API key should be passed in the request headers as `api-key` for authentication.

## Request

### Path parameters

- `pid` (string, required) — Loyalty Program ID

### Body (application/json)

- `name` (string, required) — Name of the tier group
- `downgradeStrategy` (enum, optional, default: real_time) — Select real_time to downgrade tier on real time balance updates. Select membership_anniversary to downgrade tier on subscription anniversary. Select tier_anniversary to downgrade tier on tier anniversary.
  - Allowed values: `real_time`, `membership_anniversary`, `tier_anniversary`
- `meta` (object, optional) — Additional metadata for the tier group.
  - `isInternal` (boolean, optional) — Indicates whether the tier group is internal.
- `tierOrder` (list of string, optional) — Order of the tiers in the group in ascending order
- `upgradeStrategy` (enum, optional, default: real_time) — Select real_time to upgrade tier on real time balance updates. Select membership_anniversary to upgrade tier on subscription anniversary. Select tier_anniversary to upgrade tier on tier anniversary.
  - Allowed values: `real_time`, `membership_anniversary`, `tier_anniversary`
- `upgradeSchedule` (object, optional) — Schedule configuration for tier upgrades. Required when upgradeStrategy is set to a schedule-based strategy.
  - `durationValue` (integer, optional) — Duration value for the schedule.
  - `durationUnit` (enum, optional) — Duration unit for the schedule.
    - Allowed values: `day`, `week`, `month`, `year`
  - `durationModifier` (enum, optional) — Modifier for the duration.
    - Allowed values: `start_of_period`, `end_of_period`
  - `scheduledDate` (string, optional) — Scheduled date in DD/MM format.
- `downgradeSchedule` (object, optional) — Schedule configuration for tier downgrades. Required when downgradeStrategy is set to a schedule-based strategy.
  - `durationValue` (integer, optional) — Duration value for the schedule.
  - `durationUnit` (enum, optional) — Duration unit for the schedule.
    - Allowed values: `day`, `week`, `month`, `year`
  - `durationModifier` (enum, optional) — Modifier for the duration.
    - Allowed values: `start_of_period`, `end_of_period`
  - `scheduledDate` (string, optional) — Scheduled date in DD/MM format.

## Response

### 200

Tier group successfully created

- `createdAt` (datetime, optional) — Timestamp when the tier group was created
- `downgradeStrategy` (enum, optional, default: real_time) — Select real_time to downgrade tier on real time balance updates. Select membership_anniversary to downgrade tier on subscription anniversary. Select tier_anniversary to downgrade tier on tier anniversary.
  - Allowed values: `real_time`, `membership_anniversary`, `tier_anniversary`
- `id` (string, optional) — Tier group unique identifier
- `loyaltyProgramId` (string, optional) — Associated loyalty program Id
- `name` (string, optional) — Tier group name
- `tierOrder` (list of string, optional) — Order of the tiers in the group in ascending order
- `updatedAt` (datetime, optional) — Timestamp when the tier group was last updated
- `upgradeStrategy` (enum, optional, default: real_time) — Select real_time to upgrade tier on real time balance updates. Select membership_anniversary to upgrade tier on subscription anniversary. Select tier_anniversary to upgrade tier on tier anniversary.
  - Allowed values: `real_time`, `membership_anniversary`, `tier_anniversary`
- `upgradeSchedule` (object, optional) — Schedule configuration for tier upgrades.
  - `strategy` (string, optional) — Schedule strategy type.
  - `durationValue` (integer, optional) — Duration value for the schedule.
  - `durationUnit` (enum, optional) — Duration unit for the schedule.
    - Allowed values: `day`, `week`, `month`, `year`
  - `durationModifier` (enum, optional) — Modifier for the duration.
    - Allowed values: `start_of_period`, `end_of_period`
  - `scheduledDate` (string, optional) — Scheduled date in DD/MM format.
- `downgradeSchedule` (object, optional) — Schedule configuration for tier downgrades.
  - `strategy` (string, optional) — Schedule strategy type.
  - `durationValue` (integer, optional) — Duration value for the schedule.
  - `durationUnit` (enum, optional) — Duration unit for the schedule.
    - Allowed values: `day`, `week`, `month`, `year`
  - `durationModifier` (enum, optional) — Modifier for the duration.
    - Allowed values: `start_of_period`, `end_of_period`
  - `scheduledDate` (string, optional) — Scheduled date in DD/MM format.

## Examples

**Request**

```json
{
  "name": "string"
}
```

**Response**

```json
{
  "createdAt": "2024-01-15T09:30:00Z",
  "downgradeStrategy": "real_time",
  "id": "string",
  "loyaltyProgramId": "string",
  "name": "string",
  "tierOrder": [],
  "updatedAt": "2024-01-15T09:30:00Z",
  "upgradeStrategy": "real_time",
  "upgradeSchedule": {
    "strategy": "string",
    "durationValue": 1,
    "durationUnit": "day",
    "durationModifier": "start_of_period",
    "scheduledDate": "string"
  },
  "downgradeSchedule": {
    "strategy": "string",
    "durationValue": 1,
    "durationUnit": "day",
    "durationModifier": "start_of_period",
    "scheduledDate": "string"
  }
}
```

**SDK Code**

```typescript
import { BrevoClient } from "@getbrevo/brevo";

async function main() {
    const client = new BrevoClient({
        apiKey: "YOUR_API_KEY_HERE",
    });
    await client.tier.createTierGroup({
        pid: "pid",
        name: "string",
    });
}
main();

```

```python
from brevo import Brevo

client = Brevo(
    api_key="YOUR_API_KEY_HERE",
)

client.tier.create_tier_group(
    pid="pid",
    name="string",
)

```

```php
<?php

namespace Example;

use Brevo\Brevo;
use Brevo\Tier\Requests\CreateTierGroupRequest;

$client = new Brevo(
    apiKey: 'YOUR_API_KEY_HERE',
);
$client->tier->createTierGroup(
    'pid',
    new CreateTierGroupRequest([
        'name' => 'string',
    ]),
);

```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.brevo.com/v3/loyalty/tier/programs/pid/tier-groups"

	payload := strings.NewReader("{\n  \"name\": \"string\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("api-key", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.brevo.com/v3/loyalty/tier/programs/pid/tier-groups")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["api-key"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"name\": \"string\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.brevo.com/v3/loyalty/tier/programs/pid/tier-groups")
  .header("api-key", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"name\": \"string\"\n}")
  .asString();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.brevo.com/v3/loyalty/tier/programs/pid/tier-groups");
var request = new RestRequest(Method.POST);
request.AddHeader("api-key", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"name\": \"string\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "api-key": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = ["name": "string"] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.brevo.com/v3/loyalty/tier/programs/pid/tier-groups")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```